<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form. The actual display of comments is
 * handled by a callback to organizedthemes_comment() which is
 * located in the comment-functions.php file.
 *
 * @package WordPress
 * @subpackage gallery
 * @since Gallery 1.0
 */
?>
	<div id="comments">
	<?php if ( post_password_required() ) : ?>
		<p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.', 'organizedthemes' ); ?></p>
	</div><!-- #comments -->
	<?php
			/* Stop the rest of comments.php from being processed,
			 * but don't kill the script entirely -- we still have
			 * to fully load the template.
			 */
			return;
		endif;
	?>

	<?php // You can start editing here -- including this comment! ?>

	<?php if ( have_comments() ) : ?>
		<h3 id="comments-title">
			<?php
				printf( _n( 'One Thought On &ldquo;%2$s&rdquo;', '%1$s Thoughts On &ldquo;%2$s&rdquo;', get_comments_number(), 'organizedthemes' ),
					number_format_i18n( get_comments_number() ), '' . get_the_title() . '' );
			?>
		</h3>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-above">
			<h3 class="assistive-text"><?php _e( 'Comment navigation', 'organizedthemes' ); ?></h3>
			<div class="nav-previous left"><?php previous_comments_link( __( '&larr; Older Comments', 'organizedthemes' ) ); ?></div>
			<div class="nav-next right"><?php next_comments_link( __( 'Newer Comments &rarr;', 'organizedthemes' ) ); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

		<ol class="commentlist">
			
			<?php wp_list_comments('type=comment&callback=ot_comments'); ?>
		
		</ol>
		
		<?php if(!empty($comments_by_type['pings'])) : ?>
			<?php $trackbacks_count = count($comments_by_type['pings']); ?>
			<h3 class="comments-title"><?php echo $trackbacks_count; ?> <?php if($trackbacks_count==1) : _e('Trackback','organizedthemes'); else : _e('Trackbacks','organizedthemes'); endif; ?></h3>
			<ul id="trackbacklist">
				<?php wp_list_comments('type=pings&callback=ot_trackbacks'); ?>
			</ul>
		<?php endif; ?>
		
		<ol class="commentlist">
			
			<?php wp_list_comments('type=ping&callback=ot_trackbacks'); ?>
		
		</ol>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-below">
			<h3 class="assistive-text"><?php _e( 'Comment navigation', 'organizedthemes' ); ?></h3>
			<div class="nav-previous left"><?php previous_comments_link( __( '&larr; Older Comments', 'organizedthemes' ) ); ?></div>
			<div class="nav-next right"><?php next_comments_link( __( 'Newer Comments &rarr;', 'organizedthemes' ) ); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

	<?php
		/* If there are no comments and comments are closed, let's leave a little note, shall we?
		 * But we don't want the note on pages or post types that do not support comments.
		 */
		elseif ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="nocomments"><?php _e( 'Comments are closed.', 'organizedthemes' ); ?></p>
	<?php endif; ?>

	<?php comment_form(); ?>

</div><!-- #comments -->
