<?php 


// Define Version
	define( 'BOTTEGA_VERSION', '2.4.5' );


// options framework
	if ( !function_exists( 'optionsframework_init' ) ) {
		define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/inc/' );
		require_once dirname( __FILE__ ) . '/inc/options-framework.php';
	}
	
	// loads options file directly as required by theme customizer
		require_once dirname( __FILE__ ) . '/options.php';


// Load Theme Functions
	if ( ! function_exists( 'bottega_setup' ) ):

		function bottega_setup() {
					
			// For localization
				load_theme_textdomain( 'organizedthemes', get_template_directory().'/languages' );
			
			// Add default posts and comments RSS feed links to head
				add_theme_support( 'automatic-feed-links' );
			
			// This theme uses wp_nav_menu() in one location.
				register_nav_menus( array(
					'primary' => __( 'Primary Navigation', 'organizedthemes' ),
				) );
			
			// Post Formats	
				add_theme_support( 'post-formats', array( 'image', 'gallery', 'video' ) );
					add_post_type_support( 'page', 'post-formats' );
					
			// Declare Woocommerce Support
				add_theme_support( 'woocommerce' );
					
		
		}
	
	endif; // bottega_setup	
	add_action( 'after_setup_theme', 'bottega_setup' );	


// Load Required Files
	if ( ! function_exists( 'bottega_load_files' ) ) {

		function bottega_load_files() {

		// include files
			include(get_template_directory()."/includes/fonts.php");
			include(get_template_directory()."/includes/images.php");
			include(get_template_directory()."/includes/titles.php");
			include(get_template_directory()."/includes/scripts.php");
			include(get_template_directory()."/includes/queries.php");
			include(get_template_directory()."/includes/body-tag.php");
			include(get_template_directory()."/includes/custom-js.php");
			include(get_template_directory()."/includes/custom-css.php");
			include(get_template_directory()."/includes/content-limit.php");
			include(get_template_directory()."/includes/theme-customizer.php");
			include(get_template_directory()."/includes/comment-functions.php");
		
			
		// include widgets	
			include(get_template_directory()."/includes/widgets.php");
			include(get_template_directory()."/includes/widget-posts.php");
			include(get_template_directory()."/includes/widget-video.php");
			include(get_template_directory()."/includes/widget-contact.php");
			include(get_template_directory()."/includes/widget-facebook-like-box.php");
			
			
			
		// include custom post types	
			include(get_template_directory()."/includes/post-types/slides.php");
			include(get_template_directory()."/includes/post-types/staff.php");
			include(get_template_directory()."/includes/post-types/menu-type.php");
			include(get_template_directory()."/includes/custom-meta-boxes/bottega-meta-boxes.php");
			
		}
		
	} // bottega_load_files
	
	add_action( 'after_setup_theme', 'bottega_load_files' );

	include(get_template_directory()."/includes/custom_field_redirect.php");
	
	
// optional includes
	// include organized themes gallery
		if(of_get_option('gallery') == 'true') {
			include(get_template_directory()."/includes/lightbox.php");
		}



// Trim Excerpt . . .	
	function organizedthemes_excerpt( $more ) {
		return '...';
	}
	add_filter('excerpt_more', 'organizedthemes_excerpt');



// Flush rewrite rules on theme activation
	function organizedthemes_flush_rewrite() {
		global $pagenow, $wp_rewrite;
	
		if ( 'themes.php' == $pagenow && isset( $_GET['activated'] ) )
			$wp_rewrite->flush_rules();
	}

	add_action( 'load-themes.php', 'organizedthemes_flush_rewrite' );





	
// Go to theme options after theme activated
	if ( is_admin() and isset($_GET['activated'] ) and $pagenow == "themes.php" ) {
		wp_redirect( 'themes.php?page=options-framework' );
	}





// Theme Updater

	if ( !of_get_option( 'disable_theme_updater' ) ) {
	
		function organizedthemes_theme_update(){
		
			/* updater args */
			$updater_args = array(
				'repo_uri'    => 'http://support.organizedthemes.com/',
				'repo_slug'   => 'bottega-update',
				'dashboard'   => false,
				'username'    => false,
			);
		
			/* add support for updater */
			add_theme_support( 'auto-hosted-theme-updater', $updater_args );
		}
		
		add_action( 'after_setup_theme', 'organizedthemes_theme_update' );
		require_once( trailingslashit( get_template_directory() ) . 'includes/theme-updater.php' );
		new Bottega_Theme_Updater;
	
	}
