<?php
/**
 * Creates Comment List.
 *
 * This sets the output for comments
 * and trackbacks on a post.
 *
 * @package WordPress
 * @subpackage Organized themes
 * @version 1.0.0
 */
   
function ot_comments($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
		<div class="comment-container clearfix">
										
			<?php echo get_avatar( $comment, 80 ); ?>
			
			<p class="comment-meta"><span class="comment-author"><?php comment_author_link() ?></span> <?php comment_date() ?></p>
				
			<?php if ($comment->comment_approved == '0') : ?>
				<p class="moderation"><?php _e('Your comment is awaiting moderation.', 'organizedthemes'); ?></p>
			<?php endif; ?>
			
			<?php comment_text() ?>
			
			<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
			
		</div>
	</li>

<?php
        }

function ot_trackbacks($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   	<li class="trackback" id="comment-<?php comment_ID() ?>"><?php comment_author_link() ?>

			<div class="trackback-content">

				<?php if ($comment->comment_approved == '0') : ?>
				<?php endif; ?>

				<?php comment_text() ?>

			</div><!-- .comment-content -->

	</li>
<?php
 		}
