<?php
/**
 * The custom css generator.
 *
 * This file takes the custom styling from
 * the theme options page and adds it to the
 * header.php file. 
 *
 * @package WordPress
 * @subpackage Organized Themes
 * @since 2.0.0
 */


add_action( 'wp_head', 'organizedthemes_custom_css_hook' );
	function organizedthemes_custom_css_hook( ) {
	   
	?>
 
 
<style type='text/css'>
	
	<?php 
		
		if ( !of_get_option( 'disable_fonts' ) ) {
		
			$output = '';
			$input = '';
			
			if ( of_get_option( 'body_font' ) ) {
				$output .= options_typography_font_styles( of_get_option( 'body_font' ) , 'body');
			}
			
			if ( of_get_option( 'site_title_font' ) ) {
				$output .= options_typography_font_styles( of_get_option( 'site_title_font' ) , '#text-logo p a, #text-logo p a:visited, #text-logo h1 a, #text-logo h1 a:visited');
			}
			if ( of_get_option( 'heading_font' ) ) {
				$output .= options_typography_font_styles( of_get_option( 'heading_font' ) , 'h1, h2, h3, h4, h5, h6');
			}
			if ( of_get_option( 'navigation' ) ) {
				$output .= options_typography_font_styles( of_get_option( 'navigation' ) , '#navigation .menu li, #navigation .menu li li');
			}
	
			if ( of_get_option( 'widget_title' ) ) {
				$output .= options_typography_font_styles( of_get_option( 'widget_title' ) , 'h3.widget-title, #address-left h3');
			}
					
			if ( $output != '' ) {
				$output =  $output ;
				echo $output;
			}
		
		}
	
	 ?>
	
	body { background: url(<?php echo of_get_option('background_image', '' ); ?>) <?php echo of_get_option('background_color', '' ); ?> <?php echo of_get_option('background_repeat', '' ); ?> <?php echo of_get_option('background_attachment', '' ); ?> <?php echo of_get_option('background_position_horizontal', '' ); ?> <?php echo of_get_option('background_position_vertical', '' ); ?> }
	
	#header { background: url(<?php echo of_get_option('header_image', '' ); ?>) <?php echo of_get_option('header_color', '' ); ?> <?php echo of_get_option('header_repeat', '' ); ?> <?php echo of_get_option('header_attachment', '' ); ?> <?php echo of_get_option('header_position_horizontal', '' ); ?> <?php echo of_get_option('header_position_vertical', '' ); ?> }
	<?php if(of_get_option('site_title_font_hover', $single = true) != ""){ ?>
		#text-logo h1 a:hover, #text-logo p a:hover { color: <?php echo of_get_option('site_title_font_hover', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('site_title_font_color', $single = true) != ""){ ?>
		#text-logo h1 a,
		#text-logo h1 a:visited,
		#text-logo p a,
		#text-logo p a:visited { color: <?php echo of_get_option('site_title_font_color', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('site_title_font_hover', $single = true) != ""){ ?>
		#text-logo h1 a:hover,
		#text-logo p a:hover { color: <?php echo of_get_option('site_title_font_hover', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('body_font_color', $single = true) != ""){ ?>
		body { color: <?php echo of_get_option('body_font_color', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('widget_title_color', $single = true) != ""){ ?>
		h3.widget-title, 
		#address-left h3 { color: <?php echo of_get_option('widget_title_color', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('heading_color', $single = true) != ""){ ?>
		h1,h2,h3,h4,h5,h6 { color: <?php echo of_get_option('heading_color', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('navigation_color', $single = true) != ""){ ?>
		#navigation .menu a, 
		#navigation .menu a:visited, 
		#navigation .current-menu-item .sub-menu li a, 
		#navigation .current-category-ancestor .sub-menu li a, 
		#navigation .menu li li a, 
		#navigation .menu li li a:visited,
		#phone-number a,
		#phone-number a:visited { color: <?php echo of_get_option('navigation_color', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('navigation_hover', $single = true) != ""){ ?>
		#navigation .menu a:hover,
		#navigation .menu li li a:hover,
		#navigation .current-menu-item a,
		#navigation ul.sub-menu li.current-menu-item a, 
		#navigation ul.sub-menu li.current-menu-item a:visited,
		#phone-number a:hover { color: <?php echo of_get_option('navigation_hover', '' ); ?> }
	<?php } ?>
	
	
	<?php if(of_get_option('phone_top', $single = true) != ""){ ?>
		#phone-number { top: <?php echo of_get_option('phone_top', '' ); ?>px }	
	<?php } ?>
	<?php if(of_get_option('phone_right', $single = true) != ""){ ?>
		#phone-number { right: <?php echo of_get_option('phone_right', '' ); ?>px }	
	<?php } ?>
	<?php if(of_get_option('link', $single = true) != ""){ ?>
		a, a:visited { color: <?php echo of_get_option('link', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('link_hover', $single = true) != ""){ ?>
		a:hover { color: <?php echo of_get_option('link_hover', '' ); ?> }
	<?php } ?>	
	<?php if(of_get_option('button_text', $single = true) != ""){ ?>
		a.button,
		.button,
		input[type="reset"], 
		input[type="submit"] { color: <?php echo of_get_option('button_text', '' ); ?>; }	
	<?php } ?>
	<?php if(of_get_option('button_background', $single = true) != ""){ ?>
		a.button,
		.button,
		input[type="reset"], 
		input[type="submit"] { background-color: <?php echo of_get_option('button_background', '' ); ?>; }
	<?php } ?>
	<?php if(of_get_option('button_text_hover', $single = true) != ""){ ?>
		a:hover.button,
		input[type="reset"]:hover, 
		input[type="submit"]:hover { color: <?php echo of_get_option('button_text_hover', '' ); ?>; }
	<?php } ?>
	<?php if(of_get_option('button_background_hover', $single = true) != ""){ ?>
		a:hover.button,
		input[type="reset"]:hover, 
		input[type="submit"]:hover { background-color: <?php echo of_get_option('button_background_hover', '' ); ?>; }
	<?php } ?>
	<?php if(of_get_option('widget_title_border', $single = true) != ""){ ?>
		h3.widget-title,
		#address-left h3,
		.post { border-color: <?php echo of_get_option('widget_title_border', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('menu_heading', $single = true) != ""){ ?>
		h4 { color: <?php echo of_get_option('menu_heading', '' ); ?> ; }
	<?php } ?>
	<?php if(of_get_option('menu_heading_background', $single = true) != ""){ ?>
		h4 { background-color: <?php echo of_get_option('menu_heading_background', '' ); ?> ; }
	<?php } ?>
	<?php if(of_get_option('content_background', $single = true) != ""){ ?>
		#wrap { background-color: <?php echo of_get_option('content_background', '' ); ?> ; }
	<?php } ?>
	<?php if(of_get_option('sidebar_color', $single = true) != ""){ ?>
		#sidebar, .widget { color: <?php echo of_get_option('sidebar_color', '' ); ?> ; }
	<?php } ?>
	<?php if(of_get_option('sidebar_background', $single = true) != ""){ ?>
		#sidebar, .widget, #home-middle .widget { background-color: <?php echo of_get_option('sidebar_background', '' ); ?> ; }
	<?php } ?>
	<?php if(of_get_option('sidebar_background', $single = true) != ""){ ?>
		#sidebar { background-color: <?php echo of_get_option('sidebar_background', '' ); ?> ; }
	<?php } ?>
	<?php if(of_get_option('footer_color', $single = true) != ""){ ?>
		#footer a, #footer a:visited, #footer p { color: <?php echo of_get_option('footer_color', '' ); ?> ; }
	<?php } ?>
	<?php if(of_get_option('footer_background', $single = true) != ""){ ?>
		#footer { background-color: <?php echo of_get_option('footer_background', '' ); ?> ; }
	<?php } ?>
	<?php if(of_get_option('comment_accent_color', $single = true) != ""){ ?>
		p.comment-meta { background-color: <?php echo of_get_option('comment_accent_color', '' ); ?> ; }
		ol.commentlist ul.children { border-color: <?php echo of_get_option('comment_accent_color', '' ); ?> ; }
	<?php } ?>
	<?php if(of_get_option('custom_css', $single = true) != ""){ ?>
		<?php echo of_get_option('custom_css', '' ); ?>
	<?php } ?>
	
</style>
 
<?php }