<?php
// Include & setup custom metabox and fields
add_filter( 'cmb_meta_boxes', 'bottega_metaboxes' );
function bottega_metaboxes( $meta_boxes ) {
	
	$meta_boxes[] = array(
		'id'         => 'video_metabox',
		'title'      => 'Video Code',
		'pages'      => array( 'page','post', ), // Post type
		'context'    => 'side',
		'priority'   => 'high',
		'show_names' => false, // Show field names on the left
		'fields'     => array(
			array(
				'name' => 'Embed Code',
				'desc' => 'Paste your video embed code here.',
				'id'   => 'video-embed',
				'type' => 'textarea_code',
			),
		),
	);

	$meta_boxes[] = array(
		'id'         => 'slide_metabox',
		'title'      => 'Slide Options',
		'pages'      => array( 'slide', ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
		'show_names' => true, // Show field names on the left
		'fields'     => array(
			array(
				'name' => __( 'Optional Link', 'organizedthemes' ),
				'desc' => __( 'Works with an image slide, not a video slide.', 'organizedthemes' ),
				'id'   => 'slideurl',
				'type' => 'text',
			),
			array(
				'name' => __( 'Video Code', 'organizedthemes' ),
				'desc' => __( 'To make this slide a video, paste your embed code here.  Video slides do not support links or captions.  For best results with videos, set the slideshow to NOT Automatically play', 'organizedthemes' ),
				'id'   => 'slide_video',
				'type' => 'textarea_code',
			),
		),
	);
	
	$meta_boxes[] = array(
		'id'         => 'price_metabox',
		'title'      => 'Price',
		'pages'      => array( 'organizedthemes_menu', ), // Post type
		'context'    => 'side',
		'priority'   => 'high',
		'show_names' => true, // Show field names on the left
		'fields'     => array(
			array(
				'name' => 'Item Cost',
				'desc' => '',
				'id'   => '_price',
				'type' => 'text',
			),
		),
	);
	
	$meta_boxes[] = array(
		'id'         => 'redirect_metabox',
		'title'      => 'Redirect Post',
		'pages'      => array( 'post', 'organizedthemes_menu', ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
		'show_names' => true, // Show field names on the left
		'fields'     => array(
			array(
				'name' => 'URL',
				'desc' => 'Enter the URL you would like to rediret this post to here.',
				'id'   => 'redirect',
				'type' => 'text',
			),
		),
	);
	
	$meta_boxes[] = array(
		'id'         => 'staff_metabox',
		'title'      => 'Staff Details',
		'pages'      => array( 'staff', ), // Post type
		'context'    => 'side',
		'priority'   => 'high',
		'show_names' => true, // Show field names on the left
		'fields'     => array(
			array(
				'name' => 'Title',
				'desc' => '',
				'id'   => 'title',
				'type' => 'text',
			),
			array(
				'name' => 'Facebook URL',
				'desc' => '',
				'id'   => 'facebook',
				'type' => 'text',
			),
			array(
				'name' => 'Twitter Username',
				'desc' => '',
				'id'   => 'twitter',
				'type' => 'text',
			),
			array(
				'name' => 'Email Address',
				'desc' => '',
				'id'   => 'email',
				'type' => 'text',
			),
			array(
				'name' => 'Phone Number',
				'desc' => '',
				'id'   => 'phone',
				'type' => 'text',
			),
			array(
				'name' => 'Optional Field Title',
				'desc' => 'Use this box to add your own custom link.',
				'id'   => 'option_title',
				'type' => 'text',
			),
			array(
				'name' => 'Optional Link URL',
				'desc' => 'The URL for your custom link.',
				'id'   => 'optional_url',
				'type' => 'text',
			),
		),
	);
	
	return $meta_boxes;
}


// Initialize the metabox class
add_action( 'init', 'be_initialize_cmb_meta_boxes', 9999 );
function be_initialize_cmb_meta_boxes() {
	if ( !class_exists( 'cmb_Meta_Box' ) ) {
		require_once( 'init.php' );
	}
}