<?php

// This page loads the various scripts needed to run the theme.

	// Register various scripts
		if( !is_admin()){
		   wp_register_script('superfish', get_template_directory_uri() . '/js/superfish.js', array('jquery'), NULL, true );
		   wp_register_script('hoverintent', get_template_directory_uri() . '/js/hoverIntent.js', array('jquery'), NULL, true );
		   wp_register_script('flex', get_template_directory_uri() . '/js/flexslider.js', array('jquery'), NULL, true );
		   wp_register_script('fitvids', get_template_directory_uri() . '/js/fitvids.js', array('jquery'), NULL, true );
		}
	
	// Conditionally load slideshow script when necessary
		function organizedthemes_conditional_script_loading() {
			
			if ( is_front_page() || has_post_format('gallery') ) {
				wp_enqueue_script('flex');
			}
			
			if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
					wp_enqueue_script( 'comment-reply' );
			}
			
		}
		add_action('wp_enqueue_scripts', 'organizedthemes_conditional_script_loading', 9 );
		
	// Load other scripts on all pages
		function organizedthemes_load_default_scripts() {
			if( !is_admin()){
			   wp_enqueue_script('hoverintent');
			   wp_enqueue_script('superfish');
			   wp_enqueue_script('fitvids');
			   wp_enqueue_script('jquery-masonry');
			}
		}
		add_action('wp_enqueue_scripts', 'organizedthemes_load_default_scripts', 10 );
		
	// add IE Conditional Styles
		function organizedthemes_add_ie () {
		    echo '<!--[if lt IE 9]>';
		    echo '<script src="'.get_template_directory_uri().'/js/respond.js"></script>';
		    echo '<style>#wrap, .shadow, .menu li ul, .gallery img, .wp-caption  { behavior: url('.get_template_directory_uri().'/js/PIE.htc) }</style>';
		    echo '<![endif]-->';
		}
		add_action('wp_head', 'organizedthemes_add_ie');
	
	
	// Load Stylesheet
		function organizedthemes_load_stylesheets() {
		
			wp_enqueue_style( 'main', get_stylesheet_uri(), false, BOTTEGA_VERSION, 'screen' );
			
		}
		
		add_action( 'wp_enqueue_scripts', 'organizedthemes_load_stylesheets' );
		
		
// Bottega Meta Generator
	
	if ( ! function_exists( 'bottega_meta_generator' ) ):
	
		function bottega_meta_generator() {
			
		echo '
	<!-- Theme Version -->
	<meta name="generator" content="Bottega '.BOTTEGA_VERSION.'" />
			
			';
			
		}

	endif;
	
	add_action( 'wp_head', 'bottega_meta_generator', 100 );
