<?php

/**
 * Front End Customizer
 *
 * WordPress 3.4 Required
 */
 
add_action( 'customize_register', 'organizedthemes_customizer_register' );

function organizedthemes_customizer_register($wp_customize) {
	
	/**
	 * Removes the Title and Tagline Section
	 */

	$wp_customize->remove_section( 'title_tagline');
	
	/**
	 * This is optional, but if you want to reuse some of the defaults
	 * or values you already have built in the options panel, you
	 * can load them into $options for easy reference
	 */
	 
	$options = optionsframework_options();
	

// Logo
	
	$wp_customize->add_section( 'organizedthemes_logo', array(
		'title' => __( 'Logo', 'organizedthemes' ),
		'priority' => 10
	) );
	
	// Logo Type
		$wp_customize->add_setting( 'bottega[header_blog_title]', array(
			'default' => $options['header_blog_title']['std'],
			'type' => 'option'
		) );
	
		$wp_customize->add_control( 'bottega_logo_select', array(
				'label' => $options['header_blog_title']['name'],
				'section' => 'organizedthemes_logo',
				'settings' => 'bottega[header_blog_title]',
				'type' => $options['header_blog_title']['type'],
				'choices' => $options['header_blog_title']['options'],
				'priority' => 1
		) );
		
		$wp_customize->add_setting( 'bottega[logo]', array(
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo', array(
			'label' => $options['logo']['name'],
			'section' => 'organizedthemes_logo',
			'settings' => 'bottega[logo]',
			'priority' => 2
		) ) );
	
	// Title font face
		$wp_customize->add_setting( 'bottega[site_title_font][face]', array(
			'default' => $options['site_title_font']['std']['face'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( 'site_title_font', array(
				'label' => $options['site_title_font']['name'],
				'section' => 'organizedthemes_logo',
				'settings' => 'bottega[site_title_font][face]',
				'type' => 'select',
				'choices' => $options['site_title_font']['options']['faces'],
				'priority' => 3
		) );
	
	// Title Color
		$wp_customize->add_setting( 'bottega[site_title_font_color]', array(
			'default' => $options['site_title_font_color']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'site_title_font_color', array(
			'label'   => $options['site_title_font_color']['name'],
			'section' => 'organizedthemes_logo',
			'settings'   => 'bottega[site_title_font_color]',
			'priority' => 4
		) ) );
	
	// Title Color Hover
		$wp_customize->add_setting( 'bottega[site_title_font_hover]', array(
			'default' => $options['site_title_font_hover']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'site_title_font_hover', array(
			'label'   => $options['site_title_font_hover']['name'],
			'section' => 'organizedthemes_logo',
			'settings'   => 'bottega[site_title_font_hover]',
			'priority' => 5
		) ) );
	
// Background
	
	$wp_customize->add_section( 'organizedthemes_background', array(
		'title' => __( 'Background', 'organizedthemes' ),
		'priority' => 11
	) );
	
	// background image
		$wp_customize->add_setting( 'bottega[background_image]', array(
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'background_image', array(
			'label' => $options['background_image']['name'],
			'section' => 'organizedthemes_background',
			'settings' => 'bottega[background_image]'
		) ) );
	
	// background color
		$wp_customize->add_setting( 'bottega[background_color]', array(
			'default' => $options['background_color']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'background_color', array(
			'label'   => $options['background_color']['name'],
			'section' => 'organizedthemes_background',
			'settings'   => 'bottega[background_color]'
		) ) );

	// background repeat
		$wp_customize->add_setting( 'bottega[background_repeat]', array(
				'default' => $options['background_repeat']['std'],
				'type' => 'option'
			) );
		
		$wp_customize->add_control( 'bottega_repeat_select', array(
				'label' => $options['background_repeat']['name'],
				'section' => 'organizedthemes_background',
				'settings' => 'bottega[background_repeat]',
				'type' => $options['background_repeat']['type'],
				'choices' => $options['background_repeat']['options']
		) );
	
	// background attachment
		$wp_customize->add_setting( 'bottega[background_attachment]', array(
				'default' => $options['background_attachment']['std'],
				'type' => 'option'
			) );
		
		$wp_customize->add_control( 'bottega_attachment_select', array(
				'label' => $options['background_attachment']['name'],
				'section' => 'organizedthemes_background',
				'settings' => 'bottega[background_attachment]',
				'type' => $options['background_attachment']['type'],
				'choices' => $options['background_attachment']['options']
		) );
	
	// background horizontal position
		$wp_customize->add_setting( 'bottega[background_position_horizontal]', array(
				'default' => $options['background_position_horizontal']['std'],
				'type' => 'option'
			) );
		
		$wp_customize->add_control( 'bottega_horizontal_select', array(
				'label' => $options['background_position_horizontal']['name'],
				'section' => 'organizedthemes_background',
				'settings' => 'bottega[background_position_horizontal]',
				'type' => $options['background_position_horizontal']['type'],
				'choices' => $options['background_position_horizontal']['options']
		) );
	
	// background vertical position
		$wp_customize->add_setting( 'bottega[background_position_vertical]', array(
				'default' => $options['background_position_vertical']['std'],
				'type' => 'option'
			) );
		
		$wp_customize->add_control( 'bottega_vertical_select', array(
				'label' => $options['background_position_vertical']['name'],
				'section' => 'organizedthemes_background',
				'settings' => 'bottega[background_position_vertical]',
				'type' => $options['background_position_vertical']['type'],
				'choices' => $options['background_position_vertical']['options']
		) );

// Header
	
	$wp_customize->add_section( 'organizedthemes_header', array(
		'title' => __( 'Header', 'organizedthemes' ),
		'priority' => 11
	) );
	
	// header image
		$wp_customize->add_setting( 'bottega[header_image]', array(
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'header_image', array(
			'label' => $options['header_image']['name'],
			'section' => 'organizedthemes_header',
			'settings' => 'bottega[header_image]'
		) ) );
	
	// background color
		$wp_customize->add_setting( 'bottega[header_color]', array(
			'default' => $options['header_color']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_color', array(
			'label'   => $options['header_color']['name'],
			'section' => 'organizedthemes_header',
			'settings'   => 'bottega[header_color]'
		) ) );

	// background repeat
		$wp_customize->add_setting( 'bottega[header_repeat]', array(
				'default' => $options['header_repeat']['std'],
				'type' => 'option'
			) );
		
		$wp_customize->add_control( 'header_repeat_select', array(
				'label' => $options['header_repeat']['name'],
				'section' => 'organizedthemes_header',
				'settings' => 'bottega[header_repeat]',
				'type' => $options['header_repeat']['type'],
				'choices' => $options['header_repeat']['options']
		) );
	
	// background attachment
		$wp_customize->add_setting( 'bottega[header_attachment]', array(
				'default' => $options['header_attachment']['std'],
				'type' => 'option'
			) );
		
		$wp_customize->add_control( 'header_attachment_select', array(
				'label' => $options['header_attachment']['name'],
				'section' => 'organizedthemes_header',
				'settings' => 'bottega[header_attachment]',
				'type' => $options['header_attachment']['type'],
				'choices' => $options['header_attachment']['options']
		) );
	
	// background horizontal position
		$wp_customize->add_setting( 'bottega[header_position_horizontal]', array(
				'default' => $options['header_position_horizontal']['std'],
				'type' => 'option'
			) );
		
		$wp_customize->add_control( 'bottega_header_horizontal_select', array(
				'label' => $options['header_position_horizontal']['name'],
				'section' => 'organizedthemes_header',
				'settings' => 'bottega[header_position_horizontal]',
				'type' => $options['header_position_horizontal']['type'],
				'choices' => $options['header_position_horizontal']['options']
		) );
	
	// background vertical position
		$wp_customize->add_setting( 'bottega[header_position_vertical]', array(
				'default' => $options['header_position_vertical']['std'],
				'type' => 'option'
			) );
		
		$wp_customize->add_control( 'header_vertical_select', array(
				'label' => $options['header_position_vertical']['name'],
				'section' => 'organizedthemes_header',
				'settings' => 'bottega[header_position_vertical]',
				'type' => $options['header_position_vertical']['type'],
				'choices' => $options['header_position_vertical']['options']
		) );
	
		
// Navigation

	// Navigation font face
		$wp_customize->add_setting( 'bottega[navigation][face]', array(
			'default' => $options['navigation']['std']['face'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( 'navigation', array(
				'label' => $options['navigation']['name'],
				'section' => 'nav',
				'settings' => 'bottega[navigation][face]',
				'type' => 'select',
				'choices' => $options['navigation']['options']['faces']
		) );
	
	// Navigation font color
		$wp_customize->add_setting( 'bottega[navigation_color]', array(
			'default' => $options['navigation_color']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'navigation_color', array(
			'label'   => $options['navigation_color']['name'],
			'section' => 'nav',
			'settings'   => 'bottega[navigation_color]',
			'priority' => 30
		) ) );
	
	// Navigation font color Hover
		$wp_customize->add_setting( 'bottega[navigation_hover]', array(
			'default' => $options['navigation_hover']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'navigation_hover', array(
			'label'   => $options['navigation_hover']['name'],
			'section' => 'nav',
			'settings'   => 'bottega[navigation_hover]',
			'priority' => 40
		) ) );
	
	// Phone Top Margin
		$wp_customize->add_setting( 'bottega[phone_top]', array(
			'default' => $options['phone_top']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( 'options_theme_customizer_phone_top', array(
			'label'   => $options['phone_top']['name'],
			'section' => 'nav',
			'settings'   => 'bottega[phone_top]',
			'type' => $options['phone_top']['type'],
			'priority' => 50
		 ) );
	
	// Phone Right Margin
		$wp_customize->add_setting( 'bottega[phone_right]', array(
			'default' => $options['phone_right']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( 'options_theme_customizer_phone_right', array(
			'label'   => $options['phone_right']['name'],
			'section' => 'nav',
			'settings'   => 'bottega[phone_right]',
			'type' => $options['phone_right']['type'],
			'priority' => 60
		 ) );
	
// Content
	
	$wp_customize->add_section( 'organizedthemes_content', array(
		'title' => __( 'Content', 'organizedthemes' ),
		'priority' => 30
	) );
	
		// Body font face
			$wp_customize->add_setting( 'bottega[body_font][face]', array(
				'default' => $options['body_font']['std']['face'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( 'body_font', array(
					'label' => $options['body_font']['name'],
					'section' => 'organizedthemes_content',
					'settings' => 'bottega[body_font][face]',
					'type' => 'select',
					'choices' => $options['body_font']['options']['faces'],
					'priority' => 5
			) );
		
		// Body font color
			$wp_customize->add_setting( 'bottega[body_font_color]', array(
				'default' => $options['body_font_color']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'body_font_color', array(
				'label'   => $options['body_font_color']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[body_font_color]',
				'priority' => 7
			) ) );
		
		
		// Widget Title font face
			$wp_customize->add_setting( 'bottega[widget_title][face]', array(
				'default' => $options['widget_title']['std']['face'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( 'widget_title', array(
					'label' => $options['widget_title']['name'],
					'section' => 'organizedthemes_content',
					'settings' => 'bottega[widget_title][face]',
					'type' => 'select',
					'choices' => $options['widget_title']['options']['faces'],
					'priority' => 10
			) );
		
		// Widget Title color
			$wp_customize->add_setting( 'bottega[widget_title_color]', array(
				'default' => $options['widget_title_color']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'widget_title_color', array(
				'label'   => $options['widget_title_color']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[widget_title_color]',
				'priority' => 13
			) ) );
		
		// Widget Title Border Color
			$wp_customize->add_setting( 'bottega[widget_title_border]', array(
				'default' => $options['widget_title_border']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'widget_title_border', array(
				'label'   => $options['widget_title_border']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[widget_title_border]',
				'priority' => 14
			) ) );
		
		// Heading font face
			$wp_customize->add_setting( 'bottega[heading_font][face]', array(
				'default' => $options['heading_font']['std']['face'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( 'heading_font', array(
					'label' => $options['heading_font']['name'],
					'section' => 'organizedthemes_content',
					'settings' => 'bottega[heading_font][face]',
					'type' => 'select',
					'choices' => $options['heading_font']['options']['faces'],
					'priority' => 15
			) );
		
		// Heading color
			$wp_customize->add_setting( 'bottega[heading_color]', array(
				'default' => $options['heading_color']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'heading_color', array(
				'label'   => $options['heading_color']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[heading_color]',
				'priority' => 17
			) ) );
		
		// Link color
			$wp_customize->add_setting( 'bottega[link]', array(
				'default' => $options['link']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link', array(
				'label'   => $options['link']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[link]',
				'priority' => 20
			) ) );
		
		// Link Hover color
			$wp_customize->add_setting( 'bottega[link_hover]', array(
				'default' => $options['link_hover']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link_hover', array(
				'label'   => $options['link_hover']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[link_hover]',
				'priority' => 25
			) ) );
		
		// Button color
			$wp_customize->add_setting( 'bottega[button_text]', array(
				'default' => $options['button_text']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'button_text', array(
				'label'   => $options['button_text']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[button_text]',
				'priority' => 30
			) ) );
		
		// Button background
			$wp_customize->add_setting( 'bottega[button_background]', array(
				'default' => $options['button_background']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'button_background', array(
				'label'   => $options['button_background']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[button_background]',
				'priority' => 35
			) ) );
		
		// Button color hover
			$wp_customize->add_setting( 'bottega[button_text_hover]', array(
				'default' => $options['button_text_hover']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'button_text_hover', array(
				'label'   => $options['button_text_hover']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[button_text_hover]',
				'priority' => 40
			) ) );
		
		// Button background hover
			$wp_customize->add_setting( 'bottega[button_background_hover]', array(
				'default' => $options['button_background_hover']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'button_background_hover', array(
				'label'   => $options['button_background_hover']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[button_background_hover]',
				'priority' => 45
			) ) );
		
		// Content Background
			$wp_customize->add_setting( 'bottega[content_background]', array(
				'default' => $options['content_background']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'content_background', array(
				'label'   => $options['content_background']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[content_background]',
				'priority' => 50
			) ) );
		
		// Sidebar Color
			$wp_customize->add_setting( 'bottega[sidebar_color]', array(
				'default' => $options['sidebar_color']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sidebar_color', array(
				'label'   => $options['sidebar_color']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[sidebar_color]',
				'priority' => 55
			) ) );
		
		// Sidebar Background Color
			$wp_customize->add_setting( 'bottega[sidebar_background]', array(
				'default' => $options['sidebar_background']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sidebar_background', array(
				'label'   => $options['sidebar_background']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[sidebar_background]',
				'priority' => 60
			) ) );
		
		// Footer Color
			$wp_customize->add_setting( 'bottega[footer_color]', array(
				'default' => $options['footer_color']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_color', array(
				'label'   => $options['footer_color']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[footer_color]',
				'priority' => 65
			) ) );
		
		// Footer Background Color
			$wp_customize->add_setting( 'bottega[footer_background]', array(
				'default' => $options['footer_background']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_background', array(
				'label'   => $options['footer_background']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[footer_background]',
				'priority' => 70
			) ) );
		
		// Footer Background Color
			$wp_customize->add_setting( 'bottega[comment_accent_color]', array(
				'default' => $options['comment_accent_color']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'comment_accent_color', array(
				'label'   => $options['comment_accent_color']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'bottega[comment_accent_color]',
				'priority' => 75
			) ) );
		
}