<?php

// Map & Times Widget

class OT_Contact extends WP_Widget {
 
	function OT_Contact() {
    	$widget_ops = array('classname' => 'organizedthemes_contact', 'description' => __( 'Times, Address, Phone Number and Map', 'organizedthemes') );
    	$control_ops = array('width' => 600, 'height' => 350);
    	$this->WP_Widget('ot_contact', __('Contact', 'organizedthemes'), $widget_ops, $control_ops);
    	
    }
 
    function widget($args, $instance) {        
        extract( $args );
        
        
        $title		= empty($instance['contact_title']) ? '' : $instance['contact_title'];
        $name		= empty($instance['contact_name']) ? '' : $instance['contact_name'];
        $day1		= empty($instance['contact_day1']) ? '' : $instance['contact_day1'];
        $times1		= empty($instance['contact_times1']) ? '' : $instance['contact_times1'];
        $day2		= empty($instance['contact_day2']) ? '' : $instance['contact_day2'];
        $times2		= empty($instance['contact_times2']) ? '' : $instance['contact_times2'];
        $day3		= empty($instance['contact_day3']) ? '' : $instance['contact_day3'];
        $open		= empty($instance['contact_open']) ? '' : $instance['contact_open'];
        $day4		= empty($instance['contact_day4']) ? '' : $instance['contact_day4'];
        $times4		= empty($instance['contact_times4']) ? '' : $instance['contact_times4'];
        $times3		= empty($instance['contact_times3']) ? '' : $instance['contact_times3'];
        $street		= empty($instance['contact_street']) ? '' : $instance['contact_street'];
        $address2	= empty($instance['contact_address2']) ? '' : $instance['contact_address2'];
        $city		= empty($instance['contact_city']) ? '' : $instance['contact_city'];
        $phone		= empty($instance['contact_phone']) ? '' : $instance['contact_phone'];
        $email		= empty($instance['contact_email']) ? '' : $instance['contact_email'];
        $map		= empty($instance['contact_map']) ? '' : $instance['contact_map'];
 
        ?>
			<?php echo $before_widget; ?>
				
					<div id="address-left" class="vcard">
						<?php if($title) echo '<h3>'.$title.'</h3>'; ?>
						<ul class="address">
							<?php if($name) echo '<li class="fn">'.$name.'</li>'; ?>
							<?php if($street) echo '<li class="adr">'.$street.'</li>'; ?>
							<?php if($address2) echo '<li>'.$address2.'</li>'; ?>
							<?php if($city) echo '<li class="locality">'.$city.'</li>'; ?>
						</ul>
						<?php if($open) echo '<h3 class="times">'.$open.':</h3>'; ?>
						<ul class="times">
							<?php if($day1) echo '<li>'.$day1.':</li>'; ?>
							<?php if($times1) echo '<li class="hours">'.$times1.'</li>'; ?>
							<?php if($day2) echo '<li>'.$day2.':</li>'; ?>
							<?php if($times2) echo '<li class="hours">'.$times2.'</li>'; ?>
							<?php if($day3) echo '<li>'.$day3.':</li>'; ?>
							<?php if($times3) echo '<li class="hours">'.$times3.'</li>'; ?>
							<?php if($day4) echo '<li>'.$day4.':</li>'; ?>
							<?php if($times4) echo '<li class="hours">'.$times4.'</li>'; ?>
						</ul>
	 				</div><!-- Close Address Left -->
	 				
	 				<?php if($map) echo '<div id="address-right">'.$map.'</div><!-- Close Address Right -->'; ?>
	 				
	 				<div class="clear"></div>
			<?php echo $after_widget; ?>
        <?php
    }

    function update($new_instance, $old_instance) {  
    	
    	$instance['title'] = strip_tags($new_instance['title']);
    	$instance['open'] = strip_tags($new_instance['open']);
    	$instance['contact_name'] = strip_tags($new_instance['contact_name']);
    	$instance['contact_day1'] = strip_tags($new_instance['contact_day1']);
    	$instance['contact_times1'] = strip_tags($new_instance['contact_times1']);
    	$instance['contact_day2'] = strip_tags($new_instance['contact_day2']);
    	$instance['contact_times2'] = strip_tags($new_instance['contact_times2']);
    	$instance['contact_day3'] = strip_tags($new_instance['contact_day3']);
    	$instance['contact_times3'] = strip_tags($new_instance['contact_times3']);
    	
    	$instance['contact_day4'] = strip_tags($new_instance['contact_day4']);
    	$instance['contact_times4'] = strip_tags($new_instance['contact_times4']);
    	
    	$instance['contact_number'] = strip_tags($new_instance['contact_number']);
    	$instance['contact_street'] = strip_tags($new_instance['contact_street']);
    	$instance['contact_address2'] = strip_tags($new_instance['contact_address2']);
    	$instance['contact_city'] = strip_tags($new_instance['contact_city']);
    	$instance['contact_map'] = stripslashes($new_instance['contact_map']);
                  
        return $new_instance;
    }
 
    function form($instance) {
        
		$instance	= wp_parse_args( (array) $instance, array( 'title' => '', 'contact_name' => '','contact_day1' => '', 'open' =>'', 'contact_day2' => '', 'contact_day3' => '', 'contact_day4' => '', 'contact_times1' => '', 'contact_times2' => '', 'contact_times3' => '', 'contact_times4' => '', 'contact_number' => '', 'contact_street' => '', 'contact_city' => '') );
		$title 		= strip_tags($instance['contact_title']);
		$name 		= strip_tags($instance['contact_name']);
		$open		= strip_tags($instance['contact_open']);
		$day1		= strip_tags($instance['contact_day1']);
		$times1		= strip_tags($instance['contact_times1']);
		$day2		= strip_tags($instance['contact_day2']);
		$times2		= strip_tags($instance['contact_times2']);
		$day3		= strip_tags($instance['contact_day3']);
		$times3		= strip_tags($instance['contact_times3']);
		
		
		$day4		= strip_tags($instance['contact_day4']);
		$times4		= strip_tags($instance['contact_times4']);
		
		$number		= strip_tags($instance['contact_number']);
		$street		= strip_tags($instance['contact_street']);
		$address2	= strip_tags($instance['contact_address2']);
		$city 		= strip_tags($instance['contact_city']);
		$map 		= stripslashes($instance['contact_map']);
?>
<div>
		<div style="float:left;width:300px;">
		<p>
			<label for="<?php echo $this->get_field_id('contact_title'); ?>"><?php _e('Title','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_title'); ?>" name="<?php echo $this->get_field_name('contact_title'); ?>" type="text" value="<?php echo  esc_attr($title); ?>" />
			</label>
		</p>	

		
		<p>
			<label for="<?php echo $this->get_field_id('contact_open'); ?>"><?php _e('Hours Title','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_open'); ?>" name="<?php echo $this->get_field_name('contact_open'); ?>" type="text" value="<?php echo  esc_attr($open); ?>" />
			</label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('contact_day1'); ?>"><?php _e('Days 1','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_day1'); ?>" name="<?php echo $this->get_field_name('contact_day1'); ?>" type="text" value="<?php echo  esc_attr($day1); ?>" />
			</label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('contact_times1'); ?>"><?php _e('Time 1','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_times1'); ?>" name="<?php echo $this->get_field_name('contact_times1'); ?>" type="text" value="<?php echo  esc_attr($times1); ?>" />
			</label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('contact_day2'); ?>"><?php _e('Days 2','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_day2'); ?>" name="<?php echo $this->get_field_name('contact_day2'); ?>" type="text" value="<?php echo  esc_attr($day2); ?>" />
			</label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('contact_times2'); ?>"><?php _e('Time 2','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_times2'); ?>" name="<?php echo $this->get_field_name('contact_times2'); ?>" type="text" value="<?php echo  esc_attr($times2); ?>" />
			</label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('contact_day3'); ?>"><?php _e('Days 3','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_day3'); ?>" name="<?php echo $this->get_field_name('contact_day3'); ?>" type="text" value="<?php echo  esc_attr($day3); ?>" />
			</label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('contact_times3'); ?>"><?php _e('Time 3','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_times3'); ?>" name="<?php echo $this->get_field_name('contact_times3'); ?>" type="text" value="<?php echo  esc_attr($times3); ?>" />
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('contact_day4'); ?>"><?php _e('Days 4','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_day4'); ?>" name="<?php echo $this->get_field_name('contact_day4'); ?>" type="text" value="<?php echo  esc_attr($day4); ?>" />
			</label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('contact_times4'); ?>"><?php _e('Time 4','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_times4'); ?>" name="<?php echo $this->get_field_name('contact_times4'); ?>" type="text" value="<?php echo  esc_attr($times4); ?>" />
			</label>
		</p>

	</div>
	<div style="float:right;width:290px;">
	<h3 style="margin-top:0"><?php _e('Widget Instructions:','organizedthemes'); ?></h3>
		<p>
			<?php _e('You can use this widget to create a contact area like the <a href="http://www.organizedthemes.com/demo/bottega/" target="_blank">theme demo.</a>  All of the fields are optional.  You can enter in the days of the week you are open in addition to your hours.','organizedthemes'); ?>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('contact_name'); ?>"><?php _e('Name','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_name'); ?>" name="<?php echo $this->get_field_name('contact_name'); ?>" type="text" value="<?php echo  esc_attr($name); ?>" />
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('contact_street'); ?>"><?php _e('Address','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_street'); ?>" name="<?php echo $this->get_field_name('contact_street'); ?>" type="text" value="<?php echo  esc_attr($street); ?>" />
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('contact_address2'); ?>"><?php _e('Address 2','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_address2'); ?>" name="<?php echo $this->get_field_name('contact_address2'); ?>" type="text" value="<?php echo  esc_attr($address2); ?>" />
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('contact_city'); ?>"><?php _e('City, State ZIP','organizedthemes'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id('contact_city'); ?>" name="<?php echo $this->get_field_name('contact_city'); ?>" type="text" value="<?php echo  esc_attr($city); ?>" />
			</label>
		</p>
		
		<p>
			<?php _e('For the map, you will want to paste an embeddable map from a service like Google Maps.  For best results, size your map to be 300 pixels wide by 280 pixels tall.','organizedthemes'); ?>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('contact_map'); ?>"><?php _e('Map','organizedthemes'); ?>:
			<textarea class="widefat" rows="8" cols="20" id="<?php echo $this->get_field_id('contact_map'); ?>" name="<?php echo $this->get_field_name('contact_map'); ?>"><?php echo esc_attr($map); ?></textarea>
			</label>	
		</p>
	</div>
	<div style="clear:both"></div>
</div>	
		
<?php
	}

}
 
register_widget('OT_Contact');
