<?php

	// Register Widgets
		add_action( 'init', 'organizedthemes_widget_register' );
		
		function organizedthemes_widget_register() {
			
			register_sidebar( array(
				'name' => __('Default Sidebar','organizedthemes'),
				'id' => 'default',
				'description' => __('Appears on inside pages when a more specific sidebar is not being used.','organizedthemes'),
				'before_widget' => '<div id="%1$s" class="widget %2$s shadow">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
			register_sidebar( array(
				'name' => __('Home','organizedthemes'),
				'id' => 'home',
				'description' => __('Widget area in the lower part of the homepage','organizedthemes'),
				'before_widget' => '<div id="%1$s" class="widget %2$s shadow">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
			register_sidebar( array(
				'name' => __('Archive Sidebar','organizedthemes'),
				'id' => 'archive',
				'description' => __('Sidebar in archives.','organizedthemes'),
				'before_widget' => '<div id="%1$s" class="widget %2$s shadow">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
			register_sidebar( array(
				'name' => __('Post Sidebar','organizedthemes'),
				'id' => 'post',
				'description' => __('Sidebar on single posts.','organizedthemes'),
				'before_widget' => '<div id="%1$s" class="widget %2$s shadow">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
			register_sidebar( array(
				'name' => __('Page Sidebar','organizedthemes'),
				'id' => 'page',
				'description' => __('Sidebar on pages','organizedthemes'),
				'before_widget' => '<div id="%1$s" class="widget %2$s shadow">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
			register_sidebar( array(
				'name' => __('Staff Sidebar','organizedthemes'),
				'id' => 'staff',
				'description' => __('Sidebar on staff pages','organizedthemes'),
				'before_widget' => '<div id="%1$s" class="widget %2$s shadow">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
			
		}
	
	// remove inline styling from recent comments widget
		function organizedthemes_remove_recent_comments_style() {
			global $wp_widget_factory;
			remove_action( 'wp_head', array( $wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style' ) );
		}
		add_action( 'widgets_init', 'organizedthemes_remove_recent_comments_style' );
	
	// disable calendar and recent comments widgets
		function organizedthemes_remove_calendar_widget() {
		  unregister_widget('WP_Widget_Calendar');
		}
		add_action('widgets_init', 'organizedthemes_remove_calendar_widget', 1);