<?php
/*
Template Name: Home
*/

get_header(); ?>

<div id="home-media">

	<div class="flexslider">
		<ul class="slides">
			<?php $loop = new WP_Query( array( 'post_type' => 'slide', 'posts_per_page' => '-1', 'orderby'=>'menu_order', 'order'=>'ASC' ) ); ?>
			<?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
			
				<li>
				<?php if(get_post_meta($post->ID, "slide_video", $single = true) != ""){ ?>
				
					<div class="video">
						<?php echo get_post_meta($post->ID, "slide_video", TRUE); ?>
					</div>
				
				<?php } else { ?>
							
					<a href="<?php echo get_post_meta($post->ID, "slideurl", TRUE); ?>"><?php the_post_thumbnail('header-image'); ?></a>
					
				<?php } ?>
				
				</li>
				
			<?php endwhile; wp_reset_query(); ?>
		</ul>	
	</div>

</div><!-- #home-media -->

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<?php if($content = $post->post_content ) {
		      echo '<div id="home-content" class="clearfix">';
		      the_content();
		      echo "</div><!-- #home-content -->";
		   } ?>
		                                 
	<?php endwhile; else: endif; ?>

<?php if(of_get_option('feature_type') == 'post') { ?>

	<div id="features" class="clearfix">
	
		<?php $recent = new WP_Query("cat=".of_get_option('features')."&posts_per_page=5"); while($recent->have_posts()) : $recent->the_post(); ?>
		
		<div class="boxgrid captionfull shadow">
		
			<?php the_post_thumbnail('featured-thumbnail', array('alt' => ''.get_the_title().'', 'title' => ''.get_the_title().'')); ?>
			
			<a href="<?php the_permalink() ?>"><div class="cover boxcaption">
			
				<h4><?php the_title(); ?></h4>
				
				<?php the_excerpt(); ?>
				
			</div></a>
			
		</div>
		
		<?php endwhile; wp_reset_query(); ?>
		
	</div><!-- #features -->

<?php } elseif(of_get_option('feature_type') == 'menu') { ?>
	
	<div id="features" class="clearfix">
		
		<?php 
			   $args = array( 'orderby' => 'menu_order', 'order' => 'asc','posts_per_page' => '5',
			   	'tax_query' => array(
			   		array(
			   			'taxonomy' => 'menu_group',
			   			'field' => 'id',
			   			'terms' => of_get_option('featured_menu')
			   		)
			   	)
			   );
			   $recent = new WP_Query( $args );
			   
			while($recent->have_posts()) : $recent->the_post(); ?>
		
		<div class="boxgrid captionfull shadow">
		
			<?php the_post_thumbnail('featured-thumbnail', array('alt' => ''.get_the_title().'', 'title' => ''.get_the_title().'')); ?>
			
			<div class="cover boxcaption">
			
				<h4><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
				
			</div>
			
		</div>
		
		<?php endwhile; wp_reset_query(); ?>
		
	</div><!-- #features -->
	

<?php } ?>

<?php if ( is_active_sidebar( 'home' ) ) { ?>
	
	<div id="home-middle" class="clearfix">
	
		<?php dynamic_sidebar( 'home' ); ?>
		
	</div><!-- #home-middle -->

<?php }; ?>

<?php get_footer(); ?>
